
<?php 
class cCancha{
	
	function filtrar($pisid){
	$sql="SELECT * FROM tb_cancha me inner JOIN
	tb_piso sa on sa.tb_piso_id = me.tb_salon_id
	where me.tb_cancha_xac = '1'
	";
	if($pisid!="")	$sql = $sql." and me.tb_salon_id = '$pisid' ";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}


 function insertar($mesanom,$idsalon){
		$sql = "INSERT INTO tb_cancha (tb_cancha_xac, tb_cancha_nom, tb_cancha_est, tb_salon_id) 
		VALUES ('1','$mesanom','1','$idsalon')";		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

 function modificar($idmesa,$mesanom,$idsalon){ 
		$sql = "UPDATE tb_cancha SET 
		tb_cancha_nom='$mesanom',
		tb_salon_id='$idsalon'
		WHERE tb_cancha_id = '$idmesa'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst; 
	}

 function mostrarUno($idmesa){		
		$sql = "SELECT * FROM tb_cancha WHERE tb_cancha_id = '$idmesa'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	public function eliminar($id){
		$sql = "UPDATE tb_cancha SET
		tb_cancha_xac =  '0' 
		WHERE tb_cancha_id ='$id'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}


}

?>